<template>
    <div class="w-100">
        <div class="location_page_header">
            <div class="bg-trans-black">
                <h1>
                    Buy Single Loop Bale Ties, Black Annealed Box Wire, HI-Ten Galvanized Stem Wire, and Black Annealed Stem Wire in {{ city.city_name }}
                </h1>
            </div>
            <div class="info_button">
                <v-btn
                    to="/"
                    color="primary"
                    large
                >Shop baling wire</v-btn>
                
                <v-btn
                large
                color="secondary"
                href="javascript:LC_API.open_chat_window();"
                >
                  <v-icon left>message</v-icon>
                  Live Chat
                </v-btn>
            </div>
        </div>
        <div class="_location_product">
            <div class="title"> <span>GREAT PRICING.</span> FAST NATIONAL DELIVERY. GREAT CUSTOMER SERVICE.</div>
        </div>
        <v-divider></v-divider>
        <v-layout row wrap class="product_box">
            <v-flex s12 md4>
                <div class="box_1">
                    <div class="product_name">
                        Single Loop Galvanized Bale Ties
                    </div>
                    <ul>
                        <li>Pre cut length</li>
                        <li>Single loop for easy tying</li>
                        <li>Available in 11 Gauge, 12 Gauge, 13 Gauge, 14 Gauge</li>
                        <li>Galvanized (Bright Finish)</li>
                        <li>Bundles of 125 ties or 250 ties</li>
                    </ul>
                    <nuxt-link to="/single-loop-bale-ties">
                        <v-btn
                            color="primary"
                            depressed
                            class="my-3"
                            large
                        >Shop Now</v-btn>
                    </nuxt-link>
                </div>
            </v-flex>
            <v-flex s12 md4>
                <div class="box_1">
                    <div class="product_name">
                        Back Annealed Box & Carrier Wire
                    </div>
                    <ul>
                        <li>Oiled finish for Easier feed through single ram auto-tie balers</li>
                        <li>50lb or 100lb boxes or carriers</li>
                        <li>Boxes are available in 10 Gauge, 11 Gauge & 12 Gauge</li>
                        <li>Carrier are available in 10 Gauge, 11 Gauge, 12 Gauge, 13 Gauge, 14 Gauge</li>
                    </ul>
                    <nuxt-link to="/black-annealed-box-wire">
                        <v-btn
                            large
                            color="primary"
                            depressed
                            class="my-3">Shop Now</v-btn>
                    </nuxt-link>
                </div>
            </v-flex>
            <v-flex s12 md4>
                <div class="box_1">
                    <div class="product_name">
                        Galvanized Carrier Wire
                    </div>
                    <ul>
                        <li>Galvanized with a bright finish</li>
                        <li>High strength to be used with two-ram balers</li>
                        <li>Available in 11 Gauge, 12 Gauge, 13 Gauge & 14 Gauge</li>
                        <li>Hi-ten t-115, super hi ten-145, premium wire t-185</li>
                    </ul>
                    <nuxt-link to="/hi-ten-galvanized-stem-wire">
                        <v-btn large color="primary" depressed class="my-3">Shop Now</v-btn>
                    </nuxt-link>
                </div>
            </v-flex>
        </v-layout>
        <div class="contents bg-white">
            <div class="title raleway">
                Premier Two Ram, Single Ram, Horizontal & Vertical Baling Wire Supplier in {{ city.city_name }}
            </div>
            <p>
                Cardboard Baling Wire, the online leader for baling wire in and around {{ city.city_name }}. For 100% USA made galvanized single loop bale ties, black annealed box wire, hi-ten &amp; black annealed stem/carrier wire, shop today and save! Top notch customer service, great pricing and fast delivery.
            </p>
            <p>
                Our products are used nationally from companies such as Pepsi, P&amp;G, Fleet Farm, Sherwin Williams, Coors and more.
            </p>
            <p>
                Not sure what type of wire you need? Email us at <a href="mailto:sales@cardboardbalingwire.com">sales@cardboardbalingwire.com</a> and have a reply the same day!
            </p>
        </div>
        <div class="_quality">
            <ul>
                <li> <i class="material-icons"> done_all </i> 100% Made in the USA</li>
                <li><i class="material-icons"> done_all </i>  Great Customer Service</li>
                <li> <i class="material-icons"> done_all </i>  Great Customer Service</li>
                <li><i class="material-icons"> done_all </i>  Fast & Competitive Freight</li>
                <li><i class="material-icons"> done_all </i>  Discounts Offered for Bulk Orders</li>
                <li> <i class="material-icons"> done_all </i>  Full & ½ Truck Loads Available (Bale Ties, Box Wire, Carrier Wire)</li>
                <li><i class="material-icons"> done_all </i>  We Service Customers Nationally.</li>
                <li><i class="material-icons"> done_all </i>  Our Products Are Used With Vertical Balers, Auto-Tie Balers, Two Ram Balers, Full Penetration Balers, Textile Balers and More.</li>
            </ul>
        </div>
        <p class="small-link-m">**If you are baling cardboard, plastics, foam, textiles, shredded paper, e-waste or any other material and you are not sure what you need, please give us a call and let one of our trained experts help you get the wire you need.</p>
        <div id="custom-text" class="">
         <div class="title raleway text-center mb-20">
           Areas We Supply Baling Wire Nearby
         </div>
         <v-divider class="mb-20"></v-divider>
         <div class="location_provide">
            <ul v-for="a in this.area" :key="a">
               <li>{{a}}</li>
            </ul>
         </div>
      </div>
    </div>
</template>
<script>
import axios from 'axios';
export default {
    asyncData(context) {
        var store = context.store;
        var loc_url = context.params.location;
        var api_key = store.state.api_key;

        var url = store.state.api_domain + '?comp=process&action=getCityData&url=' + loc_url + '&api=' + api_key;
        return axios.get(url)
        .then((res) => {
            return {
                city: res.data,
                area: res.data.area.split(","),
            }
            window.scrollBy(0, 0);
        });
    },
    data () {
        return {
            city: [],
            area: [],
        }
    },
    head() {
        return {
            title: this.city.meta_title,
            meta: [
                {hid: 'description', name: 'description', content: this.city.meta_description},
                {hid: 'keywords', name: 'keywords', content: this.city.meta_keywords}
            ]
        }
    }
}
</script>
